use circe::{commands::Command, Client, Config};

fn main() -> Result<(), std::io::Error> {
    let config = Config::from_toml("Config.toml")?;
    let mut client = Client::new(config).unwrap();
    client.identify().unwrap();

    loop {
        if let Ok(ref command) = client.read() {
            if let Command::OTHER(line) = command {
                print!("{}", line);
            }
        }
    }
}
